Subject: Re: bug#69249: bug in native-compile?

From: Stefan Monnier <[email-masked]>
Date: Mon, 19 Feb 2024 21:51:24 -0500

> However, I have been hacking Lisp hard since 1967, and to me the assertion
> that a Lisp must support THE and DECLARE is about as obvious as the
> assertion that doctors must wash their hands.  An untold number of infants'

There are several subtly different ways to interpret that assertion,
actually, when you're working on the actual implementation of
a compiler.

In the context of ELisp, for example, we wouldn't an incorrect type
declaration to risk crashing your editor, which limits significantly
what can be done and how we can do it.

        Stefan